/Users/bernard/b20/bsoft/tcltk/bshow_boxes.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_boxes.tcl - Procedures to create, move and destroy particle boxes.

SYNOPSIS

  Functions
Particles
Dialog box to manipulate particle boxes on the main canvas.
setBoxSize
Sets the 3 dimensions for a box from the entries.
boxSelect x y
Selects a box or bad area near a clicked location.
boxCreateSelect x y t
Creates or selects a box or bad area near a clicked location.
boxDrawOldNew id
boxMove x y
Moves the selected box or bad area to the new coordinates.
boxDraw id
Draws a box or bad area.
boxesDrawAll
Redraws all boxes and bad circles.
boxDelete x y
Deletes the selected box or bad area.
boxDeleteAll
Deletes all boxes.
boxDeleteCurrent
Deletes all boxes in current image.
boxDeleteUnselected
Deletes all unselected boxes.
boxRenumber
Renumbers boxes.
boxCenter
Centers boxes.
templatePicker
Picks particles by cross-correlation with a template.
setTemplateScale scale
readTemplate
saveTemplate
updateBoxTemplate w
Updates and shows the particle template.
doTemplatePicker w
Picks particles using cross-correlation.
variancePicker
Picks particles from a variance map.
doVariancePicker w
Picks particles using variance map.
updatePartSel args
updateBoxParam
Updates box and bad area parameters.
updateBoxCounts
Updates box and bad area counts.
updateBoxSelected
Updates selected box and bad area counts.
extractParticles
Extracts particles from the current set of box coordinates.
doExtractParticles w
Extracts particles from the current set of box coordinates.
alignParticles
Aligns particles by projection matching to a reference.
doAlignParticles w
Executes marker tracking.
refineParticles
Refines particle orientations by central section matching to a reference.
doRefineParticles w
Executes particle orientation refinement.
selectParticles
Selects particles after an alignment run.
showSelectedParticles
Shows the current particle selection.
doSelectParticles w
Executes particle selection.
particleReconstruct
Reconstructs a single particle.
doReconstruct w
Executes tomogram reconstruction.

Detailed Description

Procedures to create, move and destroy particle boxes.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20191017

Definition in file bshow_boxes.tcl.

Function Documentation

  alignParticles

Aligns particles by projection matching to a reference.

Definition at line 986 of file bshow_boxes.tcl.

  boxCenter

Centers boxes.

Definition at line 504 of file bshow_boxes.tcl.

  boxCreateSelectx y t

Creates or selects a box or bad area near a clicked location.

Parameters:
    x
    y Box position in canvas coordinates.
    t Type: 'part'/'bad'

Definition at line 258 of file bshow_boxes.tcl.

  boxDeletex y

Deletes the selected box or bad area.

Parameters:
    x
    y Box or bad area position in canvas coordinates.

Definition at line 445 of file bshow_boxes.tcl.

  boxDeleteAll

Deletes all boxes.

Definition at line 464 of file bshow_boxes.tcl.

  boxDeleteCurrent

Deletes all boxes in current image.

Definition at line 476 of file bshow_boxes.tcl.

  boxDeleteUnselected

Deletes all unselected boxes.

Definition at line 485 of file bshow_boxes.tcl.

  boxDrawid

Draws a box or bad area. Draws a box and circle with the current box size and number for a selected box, or draws a red circle with the current bad size for a selected bad area.

Parameters:
    id Box or bad area identifier.

Definition at line 325 of file bshow_boxes.tcl.

  boxDrawOldNewid

Definition at line 275 of file bshow_boxes.tcl.

  boxesDrawAll

Redraws all boxes and bad circles.

Definition at line 410 of file bshow_boxes.tcl.

  boxMovex y

Moves the selected box or bad area to the new coordinates.

Parameters:
    x
    y Box position in canvas coordinates.

Definition at line 296 of file bshow_boxes.tcl.

  boxRenumber

Renumbers boxes.

Definition at line 495 of file bshow_boxes.tcl.

  boxSelectx y

Selects a box or bad area near a clicked location.

Parameters:
    x
    y Box position in canvas coordinates.

Definition at line 240 of file bshow_boxes.tcl.

  doAlignParticlesw

Executes marker tracking.

Parameters:
    w dialog window.

Definition at line 1060 of file bshow_boxes.tcl.

  doExtractParticlesw

Extracts particles from the current set of box coordinates.

Parameters:
    w Dialog window.

Definition at line 958 of file bshow_boxes.tcl.

  doReconstructw

Executes tomogram reconstruction.

Parameters:
    w dialog window.

Definition at line 1351 of file bshow_boxes.tcl.

  doRefineParticlesw

Executes particle orientation refinement.

Parameters:
    w dialog window.

Definition at line 1164 of file bshow_boxes.tcl.

  doSelectParticlesw

Executes particle selection.

Parameters:
    w dialog window.

Definition at line 1256 of file bshow_boxes.tcl.

  doTemplatePickerw

Picks particles using cross-correlation.

Parameters:
    w the window.

Definition at line 686 of file bshow_boxes.tcl.

  doVariancePickerw

Picks particles using variance map.

Parameters:
    w the window.

Definition at line 748 of file bshow_boxes.tcl.

  extractParticles

Extracts particles from the current set of box coordinates.

Definition at line 881 of file bshow_boxes.tcl.

  particleReconstruct

Reconstructs a single particle.

Definition at line 1284 of file bshow_boxes.tcl.

  Particles

Dialog box to manipulate particle boxes on the main canvas.

Definition at line 31 of file bshow_boxes.tcl.

  readTemplate

Definition at line 621 of file bshow_boxes.tcl.

  refineParticles

Refines particle orientations by central section matching to a reference.

Definition at line 1091 of file bshow_boxes.tcl.

  saveTemplate

Definition at line 641 of file bshow_boxes.tcl.

  selectParticles

Selects particles after an alignment run.

Definition at line 1198 of file bshow_boxes.tcl.

  setBoxSize

Sets the 3 dimensions for a box from the entries.

Definition at line 208 of file bshow_boxes.tcl.

  setTemplateScalescale

Definition at line 601 of file bshow_boxes.tcl.

  showSelectedParticles

Shows the current particle selection.

Definition at line 1245 of file bshow_boxes.tcl.

  templatePicker

Picks particles by cross-correlation with a template.

Definition at line 513 of file bshow_boxes.tcl.

  updateBoxCounts

Updates box and bad area counts.

Definition at line 827 of file bshow_boxes.tcl.

  updateBoxParam

Updates box and bad area parameters.

Definition at line 780 of file bshow_boxes.tcl.

  updateBoxSelected

Updates selected box and bad area counts.

Definition at line 857 of file bshow_boxes.tcl.

  updateBoxTemplatew

Updates and shows the particle template.

Parameters:
    w the window.

Definition at line 659 of file bshow_boxes.tcl.

  updatePartSelargs

Definition at line 769 of file bshow_boxes.tcl.

  variancePicker

Picks particles from a variance map.

Definition at line 710 of file bshow_boxes.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.